Sun Microsystems Inc. Information for VU#738331

Domain Name System (DNS) resolver libraries vulnerable to read buffer overflow

Status

Affected

Vendor Statement

The Solaris DNS resolver library (libresolv.so) is affected by this issue in the following versions of Solaris:

    Solaris 2.5.1, 2.6, 7, and 8

Patches have been generated for all of the above releases. Sun has published Sun Alert 45463 for this issue which is available from:
The patches for this issue are available from:
    http://sunsolve.sun.com/securitypatch

    Vendor Information

    The vendor has not provided us with any further information regarding this vulnerability.

    Vendor References

    None

    Addendum

    The CERT/CC has no additional comments at this time.

    If you have feedback, comments, or additional information about this vulnerability, please send us email.